Cambrionix connect
Developers
Downloads API

Software

Retrieve links to our software releases.

Get Cambrionix CLI install script URL

GET

/downloads/v1/software/cambrionix-cli/{platform}/{versionId}

Get a signed Cambrionix CLI install script URL for a platform and version. minutes sets how long the link works (default 15, at most 30 days).

Requires a bearer access token for this API with the Global.Downloads.Software.Read permission. See Authentication.

Parameters

platformstringpathrequired

Path parameter

One of: "windows", "macos", "linuxArm32", "linuxDeb64"

versionIdstringpathrequired

Path parameter

Responses

200

No content

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/downloads/v1/software/cambrionix-cli/{platform}/{versionId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Download the latest version of the Cambrionix Hub Viewer

GET

/downloads/v1/software/cambrionix-hub-viewer/{platform}/latest

Download the latest version of the Cambrionix Hub Viewer for a specific platform.

Requires a bearer access token for this API with the Global.Downloads.Software.Read permission. See Authentication.

Parameters

platformstringpathrequired

Path parameter

One of: "windows", "macos", "linuxArm32", "linuxDeb64"

Responses

200

No content

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/downloads/v1/software/cambrionix-hub-viewer/{platform}/latest" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Download the latest beta version of the Connect Setup

GET

/downloads/v1/software/connect-setup/{platform}/beta

Download the latest beta version of the Connect Setup for a specific platform.

Requires a bearer access token for this API with the Global.Downloads.Software.Read permission. See Authentication.

Parameters

platformstringpathrequired

Path parameter

One of: "windows", "macos", "linuxArm32", "linuxDeb64"

Responses

200

No content

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/downloads/v1/software/connect-setup/{platform}/beta" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Download the latest version of the Connect Setup

GET

/downloads/v1/software/connect-setup/{platform}/latest

Download the latest version of the Connect Setup for a specific platform.

Requires a bearer access token for this API with the Global.Downloads.Software.Read permission. See Authentication.

Parameters

platformstringpathrequired

Path parameter

One of: "windows", "macos", "linuxArm32", "linuxDeb64"

Responses

200

No content

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/downloads/v1/software/connect-setup/{platform}/latest" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"